    Two-dimensional Hubble-Reynolds model.

hubblereynolds
>>> create_model_component("hubblereynolds", "mdl")
>>> print(mdl)

Create a component of the hubblereynolds model and display its default parameters. The output is:

mdl Param Type Value Min Max Units ----- ---- ----- --- --- ----- mdl.r0 thawed 10 0 3.40282e+38 mdl.xpos thawed 0 -3.40282e+38 3.40282e+38 mdl.ypos thawed 0 -3.40282e+38 3.40282e+38 mdl.ellip thawed 0 0 0.999 mdl.theta thawed 0 -6.28319 6.28319 radians mdl.ampl thawed 1 -3.40282e+38 3.40282e+38

ATTRIBUTES

The attributes for this object are:

Attribute
Definition
r0
The core radius.
xpos
The center of the model on the x0 axis.
ypos
The center of the model on the x1 axis.
ellip
The ellipticity of the model.
theta
The angle of the major axis. It is in radians, measured counter-clockwise from the X0 axis (i.e. the line X1=0).
ampl
The amplitude refers to the maximum peak of the model.

Notes

The functional form of the model for points is:

f(x0,x1) = ampl / (1 + r(x0,x1))^2

r(x0,x1)^2 = xoff(x0,x1)^2 * (1-ellip)^2 + yoff(x0,x1)^2 ------------------------------------------- r0^2 * (1-ellip)^2

xoff(x0,x1) = (x0 - xpos) * cos(theta) + (x1 - ypos) * sin(theta)

yoff(x0,x1) = (x1 - ypos) * cos(theta) - (x0 - xpos) * sin(theta)

The grid version is evaluated by adaptive multidimensional integration scheme on hypercubes using cubature rules, based on code from HIntLib ( [1] ) and GSL ( [2] ).

References

[1] HIntLib - High-dimensional Integration Library http://mint.sbg.ac.at/HIntLib/
[2] GSL - GNU Scientific Library http://www.gnu.org/software/gsl/

See the bugs pages on the Sherpa website for an up-to-date listing of known bugs.

December 2023